Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionDefinedName

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionDefinedName

public class RevisionDefinedName extends Object
The Class RevisionDefinedName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionDefinedName()`
  Instantiates a new revision defined name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionDefinedName`
  `clone()`
  `String`
  `getComment()`
  Gets the comment.
  `String`
  `getCustomMenuText()`
  Gets the custom menu text.
  `String`
  `getDescription()`
  Gets the description.
  `String`
  `getFormula()`
  Gets the formula.
  `FunctionGroupCategory`
  `getFunctionGroup()`
  Gets the function group.
  `String`
  `getHelp()`
  Gets the help.
  `int`
  `getLocalSheetID()`
  Gets the local sheet id.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getOldComment()`
  Gets the old comment.
  `String`
  `getOldCustomMenuText()`
  Gets the old custom menu text.
  `String`
  `getOldDescription()`
  Gets the old description.
  `String`
  `getOldFormula()`
  Gets the old formula.
  `FunctionGroupCategory`
  `getOldFunctionGroup()`
  Gets the old function group.
  `String`
  `getOldHelp()`
  Gets the old help.
  `int`
  `getOldShortcutKey()`
  Gets the old shortcut key.
  `String`
  `getOldStatusBar()`
  Gets the old status bar.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getShortcutKey()`
  Gets the shortcut key.
  `String`
  `getStatusBar()`
  Gets the status bar.
  `boolean`
  `isCustomView()`
  Checks if is custom view.
  `boolean`
  `isFunction()`
  Checks if is function.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isOldFunction()`
  Checks if is old function.
  `boolean`
  `isOldHidden()`
  Checks if is old hidden.
  `boolean`
  `isRevisionFromRejection()`
  Checks if is revision from rejection.
  `boolean`
  `isRevisionUndoRejected()`
  Checks if is revision undo rejected.
  `void`
  `setComment​(String comment)`
  Sets the comment.
  `void`
  `setCustomMenuText​(String customMenuText)`
  Sets the custom menu text.
  `void`
  `setCustomView​(boolean isCustomView)`
  Sets the custom view.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setFormula​(String formula)`
  Sets the formula.
  `void`
  `setFunction​(boolean isFunction)`
  Sets the function.
  `void`
  `setFunctionGroup​(FunctionGroupCategory functionGroup)`
  Sets the function group.
  `void`
  `setHelp​(String help)`
  Sets the help.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setLocalSheetID​(int localSheetID)`
  Sets the local sheet id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOldComment​(String oldComment)`
  Sets the old comment.
  `void`
  `setOldCustomMenuText​(String oldCustomMenuText)`
  Sets the old custom menu text.
  `void`
  `setOldDescription​(String oldDescription)`
  Sets the old description.
  `void`
  `setOldFormula​(String oldFormula)`
  Sets the old formula.
  `void`
  `setOldFunction​(boolean isOldFunction)`
  Sets the old function.
  `void`
  `setOldFunctionGroup​(FunctionGroupCategory oldFunctionGroup)`
  Sets the old function group.
  `void`
  `setOldHelp​(String oldHelp)`
  Sets the old help.
  `void`
  `setOldHidden​(boolean isOldHidden)`
  Sets the old hidden.
  `void`
  `setOldShortcutKey​(int oldShortcutKey)`
  Sets the old shortcut key.
  `void`
  `setOldStatusBar​(String oldStatusBar)`
  Sets the old status bar.
  `void`
  `setRevisionFromRejection​(boolean revisionFromRejection)`
  Sets the revision from rejection.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setRevisionUndoRejected​(boolean revisionUndoRejected)`
  Sets the revision undo rejected.
  `void`
  `setShortcutKey​(int shortcutKey)`
  Sets the shortcut key.
  `void`
  `setStatusBar​(String statusBar)`
  Sets the status bar.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionDefinedName

    public RevisionDefinedName()
    Instantiates a new revision defined name.

- ## Method Details

  - ### clone

    public RevisionDefinedName clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormula

    public String getFormula()
    Gets the formula.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula.
    Parameters:
      `formula` - the new formula

  - ### getOldFormula

    public String getOldFormula()
    Gets the old formula.
    Returns:
      the old formula

  - ### setOldFormula

    public void setOldFormula​(String oldFormula)
    Sets the old formula.
    Parameters:
      `oldFormula` - the new old formula

  - ### getComment

    public String getComment()
    Gets the comment.
    Returns:
      the comment

  - ### setComment

    public void setComment​(String comment)
    Sets the comment.
    Parameters:
      `comment` - the new comment

  - ### getCustomMenuText

    public String getCustomMenuText()
    Gets the custom menu text.
    Returns:
      the custom menu text

  - ### setCustomMenuText

    public void setCustomMenuText​(String customMenuText)
    Sets the custom menu text.
    Parameters:
      `customMenuText` - the new custom menu text

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isCustomView

    public boolean isCustomView()
    Checks if is custom view.
    Returns:
      true, if is custom view

  - ### setCustomView

    public void setCustomView​(boolean isCustomView)
    Sets the custom view.
    Parameters:
      `isCustomView` - the new custom view

  - ### isFunction

    public boolean isFunction()
    Checks if is function.
    Returns:
      true, if is function

  - ### setFunction

    public void setFunction​(boolean isFunction)
    Sets the function.
    Parameters:
      `isFunction` - the new function

  - ### getFunctionGroup

    public FunctionGroupCategory getFunctionGroup()
    Gets the function group.
    Returns:
      the function group

  - ### setFunctionGroup

    public void setFunctionGroup​(FunctionGroupCategory functionGroup)
    Sets the function group.
    Parameters:
      `functionGroup` - the new function group

  - ### getHelp

    public String getHelp()
    Gets the help.
    Returns:
      the help

  - ### setHelp

    public void setHelp​(String help)
    Sets the help.
    Parameters:
      `help` - the new help

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### getLocalSheetID

    public int getLocalSheetID()
    Gets the local sheet id.
    Returns:
      the local sheet id

  - ### setLocalSheetID

    public void setLocalSheetID​(int localSheetID)
    Sets the local sheet id.
    Parameters:
      `localSheetID` - the new local sheet id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getOldComment

    public String getOldComment()
    Gets the old comment.
    Returns:
      the old comment

  - ### setOldComment

    public void setOldComment​(String oldComment)
    Sets the old comment.
    Parameters:
      `oldComment` - the new old comment

  - ### getOldCustomMenuText

    public String getOldCustomMenuText()
    Gets the old custom menu text.
    Returns:
      the old custom menu text

  - ### setOldCustomMenuText

    public void setOldCustomMenuText​(String oldCustomMenuText)
    Sets the old custom menu text.
    Parameters:
      `oldCustomMenuText` - the new old custom menu text

  - ### getOldDescription

    public String getOldDescription()
    Gets the old description.
    Returns:
      the old description

  - ### setOldDescription

    public void setOldDescription​(String oldDescription)
    Sets the old description.
    Parameters:
      `oldDescription` - the new old description

  - ### isOldFunction

    public boolean isOldFunction()
    Checks if is old function.
    Returns:
      true, if is old function

  - ### setOldFunction

    public void setOldFunction​(boolean isOldFunction)
    Sets the old function.
    Parameters:
      `isOldFunction` - the new old function

  - ### getOldFunctionGroup

    public FunctionGroupCategory getOldFunctionGroup()
    Gets the old function group.
    Returns:
      the old function group

  - ### setOldFunctionGroup

    public void setOldFunctionGroup​(FunctionGroupCategory oldFunctionGroup)
    Sets the old function group.
    Parameters:
      `oldFunctionGroup` - the new old function group

  - ### getOldHelp

    public String getOldHelp()
    Gets the old help.
    Returns:
      the old help

  - ### setOldHelp

    public void setOldHelp​(String oldHelp)
    Sets the old help.
    Parameters:
      `oldHelp` - the new old help

  - ### isOldHidden

    public boolean isOldHidden()
    Checks if is old hidden.
    Returns:
      true, if is old hidden

  - ### setOldHidden

    public void setOldHidden​(boolean isOldHidden)
    Sets the old hidden.
    Parameters:
      `isOldHidden` - the new old hidden

  - ### getOldShortcutKey

    public int getOldShortcutKey()
    Gets the old shortcut key.
    Returns:
      the old shortcut key

  - ### setOldShortcutKey

    public void setOldShortcutKey​(int oldShortcutKey)
    Sets the old shortcut key.
    Parameters:
      `oldShortcutKey` - the new old shortcut key

  - ### getOldStatusBar

    public String getOldStatusBar()
    Gets the old status bar.
    Returns:
      the old status bar

  - ### setOldStatusBar

    public void setOldStatusBar​(String oldStatusBar)
    Sets the old status bar.
    Parameters:
      `oldStatusBar` - the new old status bar

  - ### isRevisionUndoRejected

    public boolean isRevisionUndoRejected()
    Checks if is revision undo rejected.
    Returns:
      true, if is revision undo rejected

  - ### setRevisionUndoRejected

    public void setRevisionUndoRejected​(boolean revisionUndoRejected)
    Sets the revision undo rejected.
    Parameters:
      `revisionUndoRejected` - the new revision undo rejected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getShortcutKey

    public int getShortcutKey()
    Gets the shortcut key.
    Returns:
      the shortcut key

  - ### setShortcutKey

    public void setShortcutKey​(int shortcutKey)
    Sets the shortcut key.
    Parameters:
      `shortcutKey` - the new shortcut key

  - ### getStatusBar

    public String getStatusBar()
    Gets the status bar.
    Returns:
      the status bar

  - ### setStatusBar

    public void setStatusBar​(String statusBar)
    Sets the status bar.
    Parameters:
      `statusBar` - the new status bar

  - ### isRevisionFromRejection

    public boolean isRevisionFromRejection()
    Checks if is revision from rejection.
    Returns:
      true, if is revision from rejection

  - ### setRevisionFromRejection

    public void setRevisionFromRejection​(boolean revisionFromRejection)
    Sets the revision from rejection.
    Parameters:
      `revisionFromRejection` - the new revision from rejection